PluginResURLConnection (jEdit API Documentation)
Date: 2017-03-18

org.gjt.sp.jedit.proto.jeditresource

## Class PluginResURLConnection

- java.lang.Object
- - java.net.URLConnection
  - - org.gjt.sp.jedit.proto.jeditresource.PluginResURLConnection

-     public class PluginResURLConnection
      extends java.net.URLConnection

  An implementation of jeditresource:/ url protocol. Can be used for accessing jEdit core resources as well.

- - ### Field Summary

    - ### Fields inherited from class java.net.URLConnection

      `allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginResURLConnection(java.net.URL url)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connect()`
    `java.lang.String` | `getHeaderField(java.lang.String name)`
    `java.io.InputStream` | `getInputStream()`

    - ### Methods inherited from class java.net.URLConnection

      `addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentLength, getContentLengthLong, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFieldLong, getHeaderFields, getIfModifiedSince, getLastModified, getOutputStream, getPermission, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setRequestProperty, setUseCaches, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginResURLConnection

          public PluginResURLConnection(java.net.URL url)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### connect

          public void connect()
                       throws java.io.IOException,
                              java.io.FileNotFoundException

      Specified by:
        `connect` in class `java.net.URLConnection`
      Throws:
        `java.io.IOException` - on error
        `java.io.FileNotFoundException` - if resource is not found

    - #### getInputStream

          @Nonnull
          public java.io.InputStream getInputStream()
                                                      throws java.io.IOException,
                                                             java.io.FileNotFoundException

      Overrides:
        `getInputStream` in class `java.net.URLConnection`
      Returns:
        input stream to read the resource's contents. never null
      Throws:
        `java.io.IOException` - on error
        `java.io.FileNotFoundException` - if resource is not found

    - #### getHeaderField

          public java.lang.String getHeaderField(java.lang.String name)

      Overrides:
        `getHeaderField` in class `java.net.URLConnection`